Status 403 Returned if the user is not authorized perform the action or there is no valid license
Status 404 Returned if the testPlanIssueKey provided is not found
Status 500 Returned if there is any validation error with input data or any unknown Internal Server Error
Add Test Steps to a Test Case
POST /rest/synapse/latest/public/testCase/{testCaseIssueKey}/addSteps
Request
Example
[
{
"step":"Login with valid username and password",
"expectedResult":"Successful Login"
},
{
"step":"Check if Dashboard is loaded",
"expectedResult":"Default Dashboard successfully loaded"
}
]
Response
Status 200 Returned if the Test Steps are successfully added to the Test Case
Example
[
{
"ID":1,
"tcId":10001,
"step":"Login with valid username and password",
"expectedResult":"Successful Login",
"sequenceNumber":1
},
{
"ID":2,
"tcId":10001,
"step":"Check if Dashboard is loaded",
"expectedResult":"Default Dashboard successfully loaded",
"sequenceNumber":2
}
]
Status 403 Returned if the user is not authorized perform the action or there is no valid license
Status 404 Returned if the testCaseIssueKey provided is not found
Status 500 Returned if there is any validation error with input data or any unknown Internal Server Error
Get Test Steps of a Test Case
GET /rest/synapse/latest/public/testCase/{testCaseIssueKey}/steps
Response
Status 200 Returned if the Test Steps are successfully retrieved from the Test Case
Example
[
{
"ID":1,
"tcId":10001,
"step":"Login with valid username and password",
"expectedResult":"Successful Login",
"sequenceNumber":1
},
{
"ID":2,
"tcId":10001,
"step":"Check if Dashboard is loaded",
"expectedResult":"Default Dashboard successfully loaded",
"sequenceNumber":2
}
]
Status 403 Returned if the user is not authorized perform the action or there is no valid license
Status 404 Returned if the testCaseIssueKey provided is not found
Status 500 Returned if there is any validation error with input data or any unknown Internal Server Error
Link Test Case to a Requirement
POST /rest/synapse/latest/public/requirement/{requirementIssueKey}/linkTestCase
Request
Example
{
"testCaseKeys":["ABC-10","ABC-11"]
}
Response
Status 200 Returned if the Test Cases are successfully linked to the Requirement
Status 403 Returned if the user is not authorized perform the action or there is no valid license
Status 404 Returned if the requirementIssueKey provided is not found
Status 500 Returned if there is any validation error with input data or any unknown Internal Server Error
Add Child Requirements to a Requirement
POST /rest/synapse/latest/public/requirement/{requirementIssueKey}/addChildren
Request
Example
{
"requirementKeys":["ABC-12","ABC-13"]
}
Response
Status 200 Returned if the Child Requirements are successfully linked to the Requirement
Status 403 Returned if the user is not authorized perform the action or there is no valid license
Status 404 Returned if the requirementIssueKey provided is not found
Status 500 Returned if there is any validation error with input data or any unknown Internal Server Error
Get Test Cases in a Test Plan
GET /rest/synapse/latest/public/testPlan/{testplanIssueKey}/members
Response
Status 200 Returned if the Test Cases are successfully retrieved from the Test Plan
Example
[
{
"ID": 1138,
"tcId": 15414,
"tpId": 15416,
"testCaseKey": "SPC-1",
"testCaseSummary": "Verify if the user name is correct"
},
{
"ID": 1140,
"tcId": 15415,
"tpId": 15416,
"testCaseKey": "SPC-2",
"testCaseSummary": "Verify if the age name is correct"
}
]
Status 403 Returned if the user is not authorized perform the action or there is no valid license
Status 404 Returned if the testPaseIssueKey provided is not found
Status 500 Returned if there is any validation error with input data or any unknown Internal Server Error